scala.xml

# persistent

#### package persistent

Content Hierarchy Learn more about scaladoc diagrams
Visibility

1. Public
2. All

### Type Members

1. #### abstract class CachedFileStorage extends Thread with Logged

   Mutable storage of immutable xml trees.

2. #### abstract class Index [A] extends (Node) ⇒ A

   an Index returns some unique key that is part of a node

3. #### class SetStorage extends CachedFileStorage

   A persistent store with set semantics.

### Ungrouped